# Fixed reference example. Playground inputs do not update this sample.
curl --request GET \
--url 'https://api.aisa.one/apis/v1/tikhub/douyin/xingtu/kol_convert_video_display_v1?detailType=_1&kolId=7048929565493690398&page=1' \
--header 'Authorization: Bearer <token>'curl --request GET \
--url https://api.aisa.one/apis/v1/tikhub/douyin/xingtu/kol_convert_video_display_v1 \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/tikhub/douyin/xingtu/kol_convert_video_display_v1"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/tikhub/douyin/xingtu/kol_convert_video_display_v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/tikhub/douyin/xingtu/kol_convert_video_display_v1",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/tikhub/douyin/xingtu/kol_convert_video_display_v1"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/tikhub/douyin/xingtu/kol_convert_video_display_v1")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/tikhub/douyin/xingtu/kol_convert_video_display_v1")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"cache_message": "This response is cached and accessible via the URL below for 24 hours at no extra cost. The cache is for request tracing only — it doesn't affect the API's data freshness and won't be returned through the API again.",
"cache_message_zh": "本次响应已缓存,可通过下方 URL 直接查看,有效期 24 小时,访问缓存链接无额外费用。缓存仅用于请求溯源,不影响接口数据的时效性,也不会再次通过接口返回。",
"cache_url": "<string>",
"code": 200,
"data": "<unknown>",
"docs": "<string>",
"message": "Request successful. This request will incur a charge.",
"message_zh": "请求成功,本次请求将被计费。",
"params": {},
"request_id": "<string>",
"router": "",
"support": "Discord: https://discord.gg/aMEAS8Xsvz",
"time": "<string>",
"time_stamp": 123,
"time_zone": "America/Los_Angeles"
}douyin kol_convert_video_display
Get kol Convert Video Display V1
# Fixed reference example. Playground inputs do not update this sample.
curl --request GET \
--url 'https://api.aisa.one/apis/v1/tikhub/douyin/xingtu/kol_convert_video_display_v1?detailType=_1&kolId=7048929565493690398&page=1' \
--header 'Authorization: Bearer <token>'curl --request GET \
--url https://api.aisa.one/apis/v1/tikhub/douyin/xingtu/kol_convert_video_display_v1 \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/tikhub/douyin/xingtu/kol_convert_video_display_v1"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/tikhub/douyin/xingtu/kol_convert_video_display_v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/tikhub/douyin/xingtu/kol_convert_video_display_v1",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/tikhub/douyin/xingtu/kol_convert_video_display_v1"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/tikhub/douyin/xingtu/kol_convert_video_display_v1")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/tikhub/douyin/xingtu/kol_convert_video_display_v1")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"cache_message": "This response is cached and accessible via the URL below for 24 hours at no extra cost. The cache is for request tracing only — it doesn't affect the API's data freshness and won't be returned through the API again.",
"cache_message_zh": "本次响应已缓存,可通过下方 URL 直接查看,有效期 24 小时,访问缓存链接无额外费用。缓存仅用于请求溯源,不影响接口数据的时效性,也不会再次通过接口返回。",
"cache_url": "<string>",
"code": 200,
"data": "<unknown>",
"docs": "<string>",
"message": "Request successful. This request will incur a charge.",
"message_zh": "请求成功,本次请求将被计费。",
"params": {},
"request_id": "<string>",
"router": "",
"support": "Discord: https://discord.gg/aMEAS8Xsvz",
"time": "<string>",
"time_stamp": 123,
"time_zone": "America/Los_Angeles"
}code is 200.
Example
curl "https://api.aisa.one/apis/v1/tikhub/douyin/xingtu/kol_convert_video_display_v1?kolId=7048929565493690398&detailType=_1&page=1" \
-H "Authorization: Bearer YOUR_API_KEY"
Request contract
- Method and path: GET /apis/v1/tikhub/douyin/xingtu/kol_convert_video_display_v1
- Availability: enabled
- Request URL template:
https://api.aisa.one/apis/v1/tikhub/douyin/xingtu/kol_convert_video_display_v1 - detailType: query; required
- kolId: query; required
- page: query; required
{
"operationId": "get_tikhub_douyin_xingtu_kol_convert_video_display_v1",
"method": "GET",
"path": "/apis/v1/tikhub/douyin/xingtu/kol_convert_video_display_v1",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"description": "Detail type, supports the following parameters:\n - _1 :Video Data\n - _2 :Product Data",
"example": "_1",
"in": "query",
"name": "detailType",
"required": true,
"schema": {
"description": "Detail type, supports the following parameters:\n - _1 :Video Data\n - _2 :Product Data",
"title": "Detailtype",
"type": "string"
}
},
{
"description": "User kolId, can be obtained from the following interfaces:\n - `/tikhub/douyin/xingtu/get_xingtu_kolid_by_uid`\n - `/tikhub/douyin/xingtu/get_xingtu_kolid_by_sec_user_id`\n - `/tikhub/douyin/xingtu/get_xingtu_kolid_by_unique_id`\n\nAPI references: `get_xingtu_kolid_by_sec_user_id` = `GET /tikhub/douyin/xingtu/get_xingtu_kolid_by_sec_user_id` (operationId: `get_tikhub_douyin_xingtu_get_xingtu_kolid_by_sec_user_id`); `get_xingtu_kolid_by_uid` = `GET /tikhub/douyin/xingtu/get_xingtu_kolid_by_uid` (operationId: `get_tikhub_douyin_xingtu_get_xingtu_kolid_by_uid`); `get_xingtu_kolid_by_unique_id` = `GET /tikhub/douyin/xingtu/get_xingtu_kolid_by_unique_id` (operationId: `get_tikhub_douyin_xingtu_get_xingtu_kolid_by_unique_id`).",
"example": "7048929565493690398",
"in": "query",
"name": "kolId",
"required": true,
"schema": {
"description": "User kolId, can be obtained from the following interfaces:\n - `/tikhub/douyin/xingtu/get_xingtu_kolid_by_uid`\n - `/tikhub/douyin/xingtu/get_xingtu_kolid_by_sec_user_id`\n - `/tikhub/douyin/xingtu/get_xingtu_kolid_by_unique_id`\n\nAPI references: `get_xingtu_kolid_by_sec_user_id` = `GET /tikhub/douyin/xingtu/get_xingtu_kolid_by_sec_user_id` (operationId: `get_tikhub_douyin_xingtu_get_xingtu_kolid_by_sec_user_id`); `get_xingtu_kolid_by_uid` = `GET /tikhub/douyin/xingtu/get_xingtu_kolid_by_uid` (operationId: `get_tikhub_douyin_xingtu_get_xingtu_kolid_by_uid`); `get_xingtu_kolid_by_unique_id` = `GET /tikhub/douyin/xingtu/get_xingtu_kolid_by_unique_id` (operationId: `get_tikhub_douyin_xingtu_get_xingtu_kolid_by_unique_id`).",
"title": "Kolid",
"type": "string"
}
},
{
"description": "Page number, starting from 1",
"example": 1,
"in": "query",
"name": "page",
"required": true,
"schema": {
"description": "Page number, starting from 1",
"title": "Page",
"type": "integer"
}
}
],
"security": [
{
"bearerAuth": []
}
],
"x-aisa-status": "enabled",
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Request pricing. Default request estimate: $0.02 USD. The final charge depends on actual usage. Your account price may differ; use a request quote where supported.Authorizations
Query Parameters
User kolId, can be obtained from the following interfaces:
- /tikhub/douyin/xingtu/get_xingtu_kolid_by_uid
- /tikhub/douyin/xingtu/get_xingtu_kolid_by_sec_user_id
- /tikhub/douyin/xingtu/get_xingtu_kolid_by_unique_id
API references: get_xingtu_kolid_by_sec_user_id = GET /tikhub/douyin/xingtu/get_xingtu_kolid_by_sec_user_id (operationId: get_tikhub_douyin_xingtu_get_xingtu_kolid_by_sec_user_id); get_xingtu_kolid_by_uid = GET /tikhub/douyin/xingtu/get_xingtu_kolid_by_uid (operationId: get_tikhub_douyin_xingtu_get_xingtu_kolid_by_uid); get_xingtu_kolid_by_unique_id = GET /tikhub/douyin/xingtu/get_xingtu_kolid_by_unique_id (operationId: get_tikhub_douyin_xingtu_get_xingtu_kolid_by_unique_id).
Response
Successful response. The outer object follows ResponseModel; the endpoint-specific payload is in data.
Return
- kol Convert Video Display
Endpoint-specific response payload. The official shared model does not declare a fixed type or field set. Use the operation's documented return fields or response example; an operation-specific schema, when present, describes the documented fields. Undocumented fields must be read from the actual response rather than assumed.